STOFFGraphicStyle Class Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
STOFFGraphicStyle Class Reference

Class to store a graphic style. More...

`#include <STOFFGraphicStyle.hxx>`

## Public Member Functions
| STOFFGraphicStyle ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | operator== (STOFFGraphicStyle const &graphicStyle) const
| operator== More...
bool | operator!= (STOFFGraphicStyle const &graphicStyle) const
| operator!= More...

## Static Public Member Functions
static void | checkForDefault (librevenge::RVNGPropertyList &propList)
| check if the line style is set and the fill style is set. More...
static void | checkForPadding (librevenge::RVNGPropertyList &propList)
| check if the padding margins are set, if not set them to 0 More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list More...
bool | m_hasBackground
| true if background attribute is set More...
bool | m_protections [3]
| the protection: move, size, printable More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFGraphicStyle const &graphicStyle)
| operator<< More...

## Detailed Description

Class to store a graphic style.

## Constructor & Destructor Documentation

## ◆ STOFFGraphicStyle()

STOFFGraphicStyle::STOFFGraphicStyle | ( |  | ) |

constructor

## Member Function Documentation

## ◆ addTo()

void STOFFGraphicStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFGraphicListener::_handleFrameParameters(), STOFFTextListener::_handleFrameParameters(), STOFFChart::Axis::addStyleTo(), STOFFChart::Legend::addStyleTo(), STOFFChart::Serie::addStyleTo(), STOFFChart::TextZone::addStyleTo(), STOFFGraphicListener::insertEquation(), STOFFGraphicListener::insertPicture(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), STOFFTextListener::insertShape(), and STOFFChart::sendChart().

## ◆ checkForDefault()

void STOFFGraphicStyle::checkForDefault | ( | librevenge::RVNGPropertyList & | propList | ) |
| static

check if the line style is set and the fill style is set.

If not set the line style, to black color and the fill style to none

Referenced by STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFGraphicListener::insertShape(), STOFFSpreadsheetListener::insertShape(), and STOFFTextListener::insertShape().

## ◆ checkForPadding()

void STOFFGraphicStyle::checkForPadding | ( | librevenge::RVNGPropertyList & | propList | ) |
| static

check if the padding margins are set, if not set them to 0

Referenced by STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFSpreadsheetListener::insertTextBox(), STOFFGraphicListener::insertTextBox(), and STOFFTextListener::insertTextBox().

## ◆ operator!=()

bool STOFFGraphicStyle::operator!= | ( | STOFFGraphicStyle const & | graphicStyle | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFGraphicStyle::operator== | ( | STOFFGraphicStyle const & | graphicStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFGraphicStyle const & | graphicStyle
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_hasBackground

bool STOFFGraphicStyle::m_hasBackground

true if background attribute is set

Referenced by StarGraphicAttribute::StarGAttributeBool::addTo(), and operator==().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFGraphicStyle::m_propertyList

the property list

Referenced by addTo(), StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), StarGraphicAttribute::StarGAttributeBool::addTo(), StarGraphicAttribute::StarGAttributeInt::addTo(), StarGraphicAttribute::StarGAttributeUInt::addTo(), StarGraphicAttribute::StarGAttributeVoid::addTo(), StarGraphicAttribute::StarGAttributeCrop::addTo(), StarGraphicAttribute::StarGAttributeNamedArrow::addTo(), StarGraphicAttribute::StarGAttributeNamedBitmap::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), StarGraphicAttribute::StarGAttributeNamedDash::addTo(), StarGraphicAttribute::StarGAttributeNamedGradient::addTo(), StarGraphicAttribute::StarGAttributeNamedHatch::addTo(), STOFFChart::Axis::Axis(), StarItemPool::defineGraphicStyle(), STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), STOFFSpreadsheetListener::insertTextBox(), STOFFTextListener::insertTextBox(), STOFFSpreadsheetListener::openFrame(), operator==(), SDGParser::parse(), StarObjectTextInternal::GraphZone::send(), StarObjectTextInternal::OLEZone::send(), StarObjectTextInternal::Content::send(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), STOFFChart::TextZone::TextZone(), StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ m_protections

bool STOFFGraphicStyle::m_protections[3]

the protection: move, size, printable

Referenced by StarGraphicAttribute::StarGAttributeBool::addTo(), and STOFFGraphicStyle().

The documentation for this class was generated from the following files:

- STOFFGraphicStyle.hxx
- STOFFGraphicStyle.cxx